com.genesyslab.wfm7.API.service.config720

## Class CfgActivitySetHolder

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config720.CfgActivitySetHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgActivitySetHolder
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private CfgActivityShort[]` | `activityInfo`
    `private int` | `activityInfoNSizeIs`
    `private CfgActivitySet[]` | `objectArray`
    `private int` | `objectArrayNSizeIs`
    `private int[]` | `objectIDArray`
    `private int` | `objectIDArrayNSizeIs`
    `private CfgActivitySetShort[]` | `objectShortArray`
    `private int` | `objectShortArrayNSizeIs`
    `private long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgActivitySetHolder()`
    `CfgActivitySetHolder(int objectIDArrayNSizeIs, int[] objectIDArray, int objectArrayNSizeIs, CfgActivitySet[] objectArray, int objectShortArrayNSizeIs, CfgActivitySetShort[] objectShortArray, int activityInfoNSizeIs, CfgActivityShort[] activityInfo, long timestamp)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `CfgActivityShort[]` | `getActivityInfo()` Gets the activityInfo value for this CfgActivitySetHolder.
    `int` | `getActivityInfoNSizeIs()` Gets the activityInfoNSizeIs value for this CfgActivitySetHolder.
    `CfgActivitySet[]` | `getObjectArray()` Gets the objectArray value for this CfgActivitySetHolder.
    `int` | `getObjectArrayNSizeIs()` Gets the objectArrayNSizeIs value for this CfgActivitySetHolder.
    `int[]` | `getObjectIDArray()` Gets the objectIDArray value for this CfgActivitySetHolder.
    `int` | `getObjectIDArrayNSizeIs()` Gets the objectIDArrayNSizeIs value for this CfgActivitySetHolder.
    `CfgActivitySetShort[]` | `getObjectShortArray()` Gets the objectShortArray value for this CfgActivitySetHolder.
    `int` | `getObjectShortArrayNSizeIs()` Gets the objectShortArrayNSizeIs value for this CfgActivitySetHolder.
    `long` | `getTimestamp()` Gets the timestamp value for this CfgActivitySetHolder.
    `int` | `hashCode()`
    `void` | `setActivityInfo(CfgActivityShort[] activityInfo)` Sets the activityInfo value for this CfgActivitySetHolder.
    `void` | `setActivityInfoNSizeIs(int activityInfoNSizeIs)` Sets the activityInfoNSizeIs value for this CfgActivitySetHolder.
    `void` | `setObjectArray(CfgActivitySet[] objectArray)` Sets the objectArray value for this CfgActivitySetHolder.
    `void` | `setObjectArrayNSizeIs(int objectArrayNSizeIs)` Sets the objectArrayNSizeIs value for this CfgActivitySetHolder.
    `void` | `setObjectIDArray(int[] objectIDArray)` Sets the objectIDArray value for this CfgActivitySetHolder.
    `void` | `setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)` Sets the objectIDArrayNSizeIs value for this CfgActivitySetHolder.
    `void` | `setObjectShortArray(CfgActivitySetShort[] objectShortArray)` Sets the objectShortArray value for this CfgActivitySetHolder.
    `void` | `setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)` Sets the objectShortArrayNSizeIs value for this CfgActivitySetHolder.
    `void` | `setTimestamp(long timestamp)` Sets the timestamp value for this CfgActivitySetHolder.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### objectIDArrayNSizeIs

          private int objectIDArrayNSizeIs

    - #### objectIDArray

          private int[] objectIDArray

    - #### objectArrayNSizeIs

          private int objectArrayNSizeIs

    - #### objectArray

          private CfgActivitySet[] objectArray

    - #### objectShortArrayNSizeIs

          private int objectShortArrayNSizeIs

    - #### objectShortArray

          private CfgActivitySetShort[] objectShortArray

    - #### activityInfoNSizeIs

          private int activityInfoNSizeIs

    - #### activityInfo

          private CfgActivityShort[] activityInfo

    - #### timestamp

          private long timestamp

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CfgActivitySetHolder

          public CfgActivitySetHolder()

    - #### CfgActivitySetHolder

          public CfgActivitySetHolder(int objectIDArrayNSizeIs,
                              int[] objectIDArray,
                              int objectArrayNSizeIs,
                              CfgActivitySet[] objectArray,
                              int objectShortArrayNSizeIs,
                              CfgActivitySetShort[] objectShortArray,
                              int activityInfoNSizeIs,
                              CfgActivityShort[] activityInfo,
                              long timestamp)

  - ### Method Detail

    - #### getObjectIDArrayNSizeIs

          public int getObjectIDArrayNSizeIs()

      Gets the objectIDArrayNSizeIs value for this CfgActivitySetHolder.
      Returns:
        objectIDArrayNSizeIs

    - #### setObjectIDArrayNSizeIs

          public void setObjectIDArrayNSizeIs(int objectIDArrayNSizeIs)

      Sets the objectIDArrayNSizeIs value for this CfgActivitySetHolder.
      Parameters:
        `objectIDArrayNSizeIs` -

    - #### getObjectIDArray

          public int[] getObjectIDArray()

      Gets the objectIDArray value for this CfgActivitySetHolder.
      Returns:
        objectIDArray

    - #### setObjectIDArray

          public void setObjectIDArray(int[] objectIDArray)

      Sets the objectIDArray value for this CfgActivitySetHolder.
      Parameters:
        `objectIDArray` -

    - #### getObjectArrayNSizeIs

          public int getObjectArrayNSizeIs()

      Gets the objectArrayNSizeIs value for this CfgActivitySetHolder.
      Returns:
        objectArrayNSizeIs

    - #### setObjectArrayNSizeIs

          public void setObjectArrayNSizeIs(int objectArrayNSizeIs)

      Sets the objectArrayNSizeIs value for this CfgActivitySetHolder.
      Parameters:
        `objectArrayNSizeIs` -

    - #### getObjectArray

          public CfgActivitySet[] getObjectArray()

      Gets the objectArray value for this CfgActivitySetHolder.
      Returns:
        objectArray

    - #### setObjectArray

          public void setObjectArray(CfgActivitySet[] objectArray)

      Sets the objectArray value for this CfgActivitySetHolder.
      Parameters:
        `objectArray` -

    - #### getObjectShortArrayNSizeIs

          public int getObjectShortArrayNSizeIs()

      Gets the objectShortArrayNSizeIs value for this CfgActivitySetHolder.
      Returns:
        objectShortArrayNSizeIs

    - #### setObjectShortArrayNSizeIs

          public void setObjectShortArrayNSizeIs(int objectShortArrayNSizeIs)

      Sets the objectShortArrayNSizeIs value for this CfgActivitySetHolder.
      Parameters:
        `objectShortArrayNSizeIs` -

    - #### getObjectShortArray

          public CfgActivitySetShort[] getObjectShortArray()

      Gets the objectShortArray value for this CfgActivitySetHolder.
      Returns:
        objectShortArray

    - #### setObjectShortArray

          public void setObjectShortArray(CfgActivitySetShort[] objectShortArray)

      Sets the objectShortArray value for this CfgActivitySetHolder.
      Parameters:
        `objectShortArray` -

    - #### getActivityInfoNSizeIs

          public int getActivityInfoNSizeIs()

      Gets the activityInfoNSizeIs value for this CfgActivitySetHolder.
      Returns:
        activityInfoNSizeIs

    - #### setActivityInfoNSizeIs

          public void setActivityInfoNSizeIs(int activityInfoNSizeIs)

      Sets the activityInfoNSizeIs value for this CfgActivitySetHolder.
      Parameters:
        `activityInfoNSizeIs` -

    - #### getActivityInfo

          public CfgActivityShort[] getActivityInfo()

      Gets the activityInfo value for this CfgActivitySetHolder.
      Returns:
        activityInfo

    - #### setActivityInfo

          public void setActivityInfo(CfgActivityShort[] activityInfo)

      Sets the activityInfo value for this CfgActivitySetHolder.
      Parameters:
        `activityInfo` -

    - #### getTimestamp

          public long getTimestamp()

      Gets the timestamp value for this CfgActivitySetHolder.
      Returns:
        timestamp

    - #### setTimestamp

          public void setTimestamp(long timestamp)

      Sets the timestamp value for this CfgActivitySetHolder.
      Parameters:
        `timestamp` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.